function $AdfSortEvent$$($source$$110$$, $properties$$24$$, $orders$$) {
  this.Init($source$$110$$, null, $properties$$24$$, $orders$$);
}
$goog$exportSymbol$$("AdfSortEvent", $AdfSortEvent$$);
$AdfObject$$.$createSubclass$($AdfSortEvent$$, $AdfComponentEvent$$);
$AdfSortEvent$$.$SORT_EVENT_TYPE$ = "sort";
$goog$exportSymbol$$("AdfSortEvent.SORT_EVENT_TYPE", $AdfSortEvent$$.$SORT_EVENT_TYPE$);
$AdfSortEvent$$.prototype.Init = function $$AdfSortEvent$$$$Init$($source$$111$$, $type$$117$$, $properties$$25$$, $orders$$1$$) {
  $AdfSortEvent$$.$superclass$.Init.call(this, $source$$111$$, $AdfSortEvent$$.$SORT_EVENT_TYPE$);
  this.$setPartial$(!0);
  $properties$$25$$ instanceof Array ? (this.$_properties$ = $properties$$25$$, this.$_orders$ = $orders$$1$$) : (this.$_properties$ = [$properties$$25$$], this.$_orders$ = [$orders$$1$$]);
  this.$setRoot$($source$$111$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.Init", {Init:$AdfSortEvent$$.prototype.Init});
$AdfSortEvent$$.prototype.$getProperty$ = function $$AdfSortEvent$$$$$getProperty$$($i$$50$$) {
  var $properties$$26$$ = this.$_properties$, $property$$7$$ = null;
  $i$$50$$ ? 0 < $i$$50$$ && $i$$50$$ < $properties$$26$$.length && ($property$$7$$ = $properties$$26$$[$i$$50$$]) : $property$$7$$ = $properties$$26$$[0];
  return $property$$7$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.getProperty", {$getProperty$:$AdfSortEvent$$.prototype.$getProperty$});
$AdfSortEvent$$.prototype.setProperty = function $$AdfSortEvent$$$$setProperty$($property$$8$$, $i$$51$$) {
  $i$$51$$ ? this.$_properties$[$i$$51$$] = $property$$8$$ : this.$_properties$[0] = $property$$8$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.setProperty", {setProperty:$AdfSortEvent$$.prototype.setProperty});
$AdfSortEvent$$.prototype.$getCriteriaCount$ = function $$AdfSortEvent$$$$$getCriteriaCount$$() {
  return this.$_properties$.length;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.getCriteriaCount", {$getCriteriaCount$:$AdfSortEvent$$.prototype.$getCriteriaCount$});
$AdfSortEvent$$.prototype.$getOrder$ = function $$AdfSortEvent$$$$$getOrder$$($i$$52$$) {
  var $orders$$2$$ = this.$_orders$, $order$$ = null;
  $i$$52$$ ? 0 < $i$$52$$ && $i$$52$$ < $orders$$2$$.length && ($order$$ = $orders$$2$$[$i$$52$$]) : $order$$ = $orders$$2$$[0];
  return $order$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.getOrder", {$getOrder$:$AdfSortEvent$$.prototype.$getOrder$});
$AdfSortEvent$$.prototype.$setOrder$ = function $$AdfSortEvent$$$$$setOrder$$($order$$1$$, $i$$53$$) {
  $i$$53$$ ? this.$_orders$[$i$$53$$] = $order$$1$$ : this.$_orders$[0] = $order$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.setOrder", {$setOrder$:$AdfSortEvent$$.prototype.$setOrder$});
$AdfSortEvent$$.prototype.$AddMarshalledProperties$ = function $$AdfSortEvent$$$$$AddMarshalledProperties$$($properties$$27$$) {
  $properties$$27$$.orders = this.$_orders$;
  $properties$$27$$.properties = this.$_properties$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.AddMarshalledProperties", {$AddMarshalledProperties$:$AdfSortEvent$$.prototype.$AddMarshalledProperties$});
$AdfSortEvent$$.prototype.$propagatesToServer$ = function $$AdfSortEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfSortEvent$$.prototype.$propagatesToServer$});
$AdfSortEvent$$.prototype.$isValidationNeeded$ = function $$AdfSortEvent$$$$$isValidationNeeded$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.isValidationNeeded", {$isValidationNeeded$:$AdfSortEvent$$.prototype.$isValidationNeeded$});
$AdfSortEvent$$.prototype.$isImmediate$ = function $$AdfSortEvent$$$$$isImmediate$$() {
  return this.getSource().getImmediate();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfSortEvent.prototype.isImmediate", {$isImmediate$:$AdfSortEvent$$.prototype.$isImmediate$});
